function [sig,die] = complexc(f)
BB = 5.2e-8;
Qs = 0.32
D = 3.8e-12;
E0 = 8.854e-12;

t = 0.0005^2/(2*3*D); %relaxation time

C0S = BB*Qs;%diffuse layer conductance
CSS = (1i*2*pi*f*t).^(1/2)./(1+(1i*2*pi*f*t).^(1/2))*BB*Qs;%Stern Layer conductance

CC =2*(C0S+CSS)/0.0005;%upscaling

sig_re = real(CC);
sig_im = imag(CC);

sig = sig_re;
die = sig_im ./ ((2.*pi.*f)*E0);

%loglog(f,sig_re,'r.-',f,die,'b.-','LineWidth',2,'MarkerSize',50);
end

